<?php

declare(strict_types=1);

namespace ImovelZapAi\Users\Domain\Entities;

final readonly class User
{
    public function __construct(
        public int|string $id,
        public string $tenantId,
        public string $name,
        public string $email,
    ) {}
}
